Name:           libcint
Version:        2.8.7
Release:        3%{?dist}
Summary:        General Gaussian-type orbitals integrals for quantum chemistry

License:        BSD
URL:            https://github.com/sunqm/libcint
Source0:        https://github.com/sunqm/libcint/archive/v%{version}.tar.gz

# ARM, ppc64(LE) have no sbcl package
ExcludeArch:    %{arm} aarch64 %{power64}

Conflicts:      qcint

BuildRequires:  gcc-gfortran
BuildRequires:  atlas-devel 
BuildRequires:  cmake 
BuildRequires:  sbcl
BuildRequires:  python2-devel 
BuildRequires:  numpy 

%description    
libcint is an open source library for analytical Gaussian integrals.
It provides C/Fortran API to evaluate one-electron / two-electron
integrals for Cartesian / real-spherical / spinor Gaussian type functions.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
mkdir build
cd build
export CXXFLAGS="%{optflags} -Wl,--as-needed"
%cmake -DENABLE_EXAMPLE=1 -DWITH_RANGE_COULOMB=1 -DQUICK_TEST=1 -DBLAS_LIBRARIES=%{_libdir}/atlas/libtatlas.so ..
make %{?_smp_mflags} VERBOSE=1

%install
make -C build install DESTDIR=%{buildroot}

%check
make -C build test ARGS=-V

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README ChangeLog
%license LICENSE
%{_libdir}/libcint.so.*

%files devel
%{_includedir}/cint.h
%{_libdir}/libcint.so

%changelog
* Mon Sep 19 2016 Matt Chan <talcite@gmail.com> - 2.8.7-3
- Disable aarch64 builds because of missing dependency
* Mon Sep 19 2016 Matt Chan <talcite@gmail.com> - 2.8.7
- Disable ppc64(LE) builds because of missing dependency
* Tue Jul 19 2016 Matt Chan <talcite@gmail.com> - 2.8.6
- Initial build
